Skip to navigation

Delete Employee Earning by resourceId

View as Markdown

Summary Description

This function will allow the API user to DELETE a particular earning code that occurs in the past/present/future.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

employeeIdstringRequired
Employee identifier within the specified company.
earningCodestringRequired
Earning code for the employee.
resourceIdstringRequired

Resource instance identifier (deduction/earning line id or related key, depending on the endpoint).

Response

Successful response

Errors

401
Unauthorized Error